<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__clk__hf" kind="group">
    <compoundname>group_sysclk_clk_hf</compoundname>
    <title>High-Frequency Clocks</title>
    <innergroup refid="group__group__sysclk__clk__hf__funcs">Functions</innergroup>
    <innergroup refid="group__group__sysclk__clk__hf__enums">Enumerated Types</innergroup>
    <briefdescription>
<para>Multiple high frequency clocks (CLK_HF) are available in the device. </para>    </briefdescription>
    <detaileddescription>
<para>For example, PSoC 63 series has five high-frequency root clocks. Each CLK_HF has a particular connection and chip-specific destination on the device.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Name &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CLK_HF[0]&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Root clock for CPUs, PERI, and AHB infrastructure &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CLK_HF[1]&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Root clock for the PDM/PCM and I2S audio subsystem &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CLK_HF[2]&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Root clock for the Serial Memory Interface subsystem &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CLK_HF[3]&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Root clock for USB communications &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CLK_HF[4]&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Clock output on clk_ext pin (when used as an output) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><image name="sysclk_hf.png" type="html" />
</para><para>Note this is a particular example. The actual tree may vary depending on the device series. Consult the Technical Reference Manual for your device for details.</para><para>High frequency clocks are sourced by path clocks, which should be configured first. An exception to this rule is CLK_HF[0], which cannot be disabled. This divided clock drives the core processors and the peripherals in the system. In order to update its clock source, CLK_HF[0] source must be selected without disabling the clock.</para><para><image name="sysclk_hf_dist.png" type="html" />
 </para>    </detaileddescription>
  </compounddef>
</doxygen>